• Steam recently changed the default privacy settings for all users. This may impact tracking. Ensure your profile has the correct settings by following the guide on our forums.

Need an older version of iTunes

Hellcat

Contributor
#1
Hey guys :)

I need an older (7.something) version of iTunes, to be more specific (can't remember exact version mumber) one that was recent when the iPhone's FW was around 1.1.4

I think it was 7.4 or something around that....

Oh, and for Windows, got a Mac version but no computer to run it on....
 
#5
Try using old apps.com

That has always been my choice when I need something like that.
 
#6
WHat is the latest FW for ipods, im still on 3.1.3
 
#9
iPod touch? Fairly sure 4.1 is the latest for all but the first gen iPod touch.
Hmm, i might have the first gen one as well, have to take a look and check.
 
Top